org.apache.maven.scm.provider.bazaar.command.remove

## Class BazaarRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remove.AbstractRemoveCommand
    - - org.apache.maven.scm.provider.bazaar.command.remove.BazaarRemoveCommand

- All Implemented Interfaces:
    Command

      public class BazaarRemoveCommand
      extends AbstractRemoveCommand
      implements Command

  Version:
    $Id: BazaarRemoveCommand.java 685721 2008-08-13 22:57:17Z olamy $
  Author:
    Torbjï¿½rn Eikli Smï¿½rgrav

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BazaarRemoveCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmResult` | `executeRemoveCommand(ScmProviderRepository repository, ScmFileSet fileSet, String message)`

    - ### Methods inherited from class org.apache.maven.scm.command.remove.AbstractRemoveCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### BazaarRemoveCommand

          public BazaarRemoveCommand()

  - ### Method Detail

    - #### executeRemoveCommand

          protected ScmResult executeRemoveCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       String message)
                                            throws ScmException

      Specified by:
        `executeRemoveCommand` in class `AbstractRemoveCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.